## wget-el 0.5.0

=== Makefile ===
############################################################
#                  Emacs-wget Makefile                     #
############################################################

## Copyright (C) 2002, 2003, 2004  Masayuki Ataka  <ataka@milk.freemail.ne.jp>
#  $Id: Makefile,v 1.13 2004/10/19 07:33:08 ataka Exp $
#

PACKAGE = emacs-wget
VERSION = 0.5.0

prefix = /usr/local
datadir = ${prefix}/share
lispdir = ${datadir}/emacs/site-lisp/emacs-wget

DOC = COPYING ChangeLog Makefile README README.ja USAGE USAGE.ja
EL  = wget.el wget-sysdep.el w3-wget.el w3m-wget.el
ELC = wget.elc wget-sysdep.elc w3-wget.elc w3m-wget.elc
LPATH = lpath.el

MKDIR = mkdir
TAR   = tar
CP    = cp -p
RM    = rm -f
EMACS = emacs

ELCC  = $(EMACS) -batch -q -no-site-file -l $(LPATH)

.PHONY : all compile-elc
all: compile-elc

compile-elc: $(ELC)


%.elc: %.el
	$(ELCC) -f batch-byte-compile $<

## Install emacs-wget
#
.PHONY : install
install:
	if [ ! -d $(lispdir) ]; then \
	  $(MKDIR) -p $(lispdir); \
	fi
	$(CP) $(EL) $(ELC) $(lispdir)

## Release new version
#
# Set tag name, before make tar ball:
#  $ cvs tag -c rel-X-X-X
#
# Checkout any release of emacs-wget:
#  $ cvs checkout -r rel-X-X-X emacs-wget
#
# Remove tag name:
#  $ cvs tag -d rel-X-X-X emacs-wget
#
DISTRIB = $(PACKAGE)-$(VERSION)
dist: distclean
	$(MKDIR) $(DISTRIB)
	$(CP) $(DOC) $(EL) $(LPATH) $(DISTRIB)
	$(TAR) czvf $(DISTRIB).tar.gz $(DISTRIB)

## Clean
#
clean:
	$(RM) *.elc *~
distclean: distclean
	$(RM) -r $(DISTDIR)
	$(RM) $(DISTDIR).tar.gz

#
## End of Makefile

=== debian/changelog ===
wget-el (0.5.0-8) unstable; urgency=low

  * Use debian-pkg-add-load-path-item in startup script, as demanded by
    Debian Emacs policy. Also thanks to Kevin Ryde for spotting this
    (Closes: #582576).
  * Change email address to jmaslibre@debian.org.gt everywhere.
  * debian/wget-el.install added.
  * lpath.el removed because it is not needed (Closes: #582577).
  * debian/rules switch to dh 7.
  * debian/compat, raised to 7.
  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/control:
    - Build dependen on version >= 7.0.50~ of debhelper because
      debhelper's overrides need it.
    - Updated policy to 3.9.1 (no changes needed)

 -- Josue Abarca <jmaslibre@debian.org.gt>  Tue, 27 Jul 2010 15:27:10 -0600

wget-el (0.5.0-7) unstable; urgency=low

  * debian/rules:
    - Removed unused option "dh_install -m 0664" (closes: Bug#518855)
    - dh_prep replaces "dh_clean -k" (deprecated)
  * Move debhelper compat level to 7
  * debian/control:
    - Updated policy to 3.8.1 (no changes needed)
    - The word "an" have been removed from the short description
    - Updated "debhelper" dependency

 -- Josue Abarca <jmaslibre@gmail.com>  Mon, 16 Mar 2009 00:17:04 -0600

wget-el (0.5.0-6) unstable; urgency=low

  * debian/wget-el.emacsen-startup: Use of eval-after-load replaced.
    (closes: Bug#492627)
  * debian/control:
    - updated policy to 3.8.0 (no changes needed)

 -- Josue Abarca <jmaslibre@gmail.com>  Wed, 20 Aug 2008 00:28:17 -0600

wget-el (0.5.0-5) unstable; urgency=low

  * debian/watch change to version 3, new sintaxys
    Thanks to Raphael Geissert <atomo64@gmail.com> (closes: Bug#450316)
  * New Maintainer
    Thanks to Akira Tagoh for his previus work (closes: Bug#435372)
  * move debhelper compat level to 6
  * debian/copyright  file format changed to be machine-interpretable
  * debian/rules:
    - used dh_install instead of manually installing files
    - removed unused: dh_installexamples, dh_installman, dh_link,
      dh_strip and dh_shlibdeps.
  * debian/control:
    - updated "debhelper" dependency
    - removed "shlibs:Depends"
    
 -- Josue Abarca <jmaslibre@gmail.com>  Tue, 15 Apr 2008 00:16:53 -0600

wget-el (0.5.0-4) unstable; urgency=low

  * Orphaning this package.

 -- Akira TAGOH <tagoh@debian.org>  Tue, 31 Jul 2007 18:19:23 +0900

wget-el (0.5.0-3) unstable; urgency=low

  * debian/wget-el.emacsen-startup: removed setq of wget-process-buffer.
    (closes: Bug#296028)

 -- Akira TAGOH <tagoh@debian.org>  Wed, 23 Feb 2005 20:34:09 +0900

wget-el (0.5.0-2) unstable; urgency=low

  * debian/wget-el.emacsen-startup: added quote.
    Thanks to Victor Cordero <victorctd@wanadoo.es>. (closes: Bug#284276)

 -- Akira TAGOH <tagoh@debian.org>  Tue,  7 Dec 2004 03:41:42 +0900

wget-el (0.5.0-1) unstable; urgency=low

  * New upstream release

 -- Akira TAGOH <tagoh@debian.org>  Tue, 26 Oct 2004 17:30:20 +0900

wget-el (0.4.2-3) unstable; urgency=low

  * wget-el.emacsen-install: gzip'ed CompilationLog with -f.
    (closes: Bug#277104)
  * wget-el.emacsen-startup: fixed a typo. Thanks to Aaron M. Ucko.

 -- Akira TAGOH <tagoh@debian.org>  Mon, 25 Oct 2004 21:07:30 +0900

wget-el (0.4.2-2) unstable; urgency=low

  * wget-el.emacsen-startup: set the variables after loading wget.el
    (closes: Bug#272154)

 -- Akira TAGOH <tagoh@debian.org>  Wed, 22 Sep 2004 09:09:23 +0900

wget-el (0.4.2-1) unstable; urgency=low

  * Initial Release. (closes: Bug#264724)

 -- Akira TAGOH <tagoh@debian.org>  Wed, 11 Aug 2004 14:53:05 +0900

=== debian/control ===
Source: wget-el
Section: lisp
Priority: optional
Maintainer: Josue Abarca <jmaslibre@debian.org.gt>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Homepage: http://pop-club.hp.infoseek.co.jp/emacs/emacs-wget/

Package: wget-el
Architecture: all
Depends: emacs23 | emacsen, wget, ${misc:Depends}
Recommends: w3m-el
Description: interface for wget on Emacsen
 GNU wget is a free software package for retrieving files
 using HTTP, HTTPS and FTP, the most widely-used Internet
 protocols. It is a non-interactive command line tool.
 This package contains an interface program of GNU wget for
 Emacsen.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

# Commands not to run:
override_dh_auto_build override_dh_auto_install:

=== debian/watch ===
version=3
http://pop-club.hp.infoseek.co.jp/emacs/emacs-wget/emacs-wget-(.*)\.tar\.gz	debian	uupdate
